proc Attach {} {
    attach -pipe /usr/opt/daq/Bin/spectcldaq tcp://spdaq22:2602/
    start
}

set MAXHITS 4

button .attach -command Attach -text "Attach Online"
pack .attach

set slot 100
for {set ch 1} {$ch < 16} {incr ch} {
    for {set hit 0} {$hit < $MAXHITS} {incr hit} {
	set name channel$ch
	append name _$hit
 	parameter $name $slot 12
	spectrum $name 1 $name {{0 1048575 57768}}
	incr slot}}

sbind -all