#ifndef __MYEVENTPROCESSOR_H
#define __MYEVENTPROCESSOR_H
#include <EventProcessor.h>
#include <TranslatorPointer.h>
#include <BufferDecoder.h>
#include <Analyzer.h>
#include <TCLApplication.h>
#include <Event.h>
#include <CCAENV1x90Data.h>

class MyEventProcessor : public CEventProcessor
{
 private:
  unsigned int m_nVsn;
  unsigned int m_nBaseParameter;
  
 public:
 
  // Class constrcutor
  MyEventProcessor(unsigned int nSlot, unsigned int nBase);

  virtual Bool_t operator()(const Address_t pEvent, CEvent& rEvent,
			    CAnalyzer& rAnalyzer, CBufferDecoder& rDecoder);
};
#endif
